Go to the first, previous, next, last section, table of contents.

### `characteristic_ff`

`characteristic_ff()`
  :: Characteristic of the current base field.

return
  integer

- Returns the characteristic of the current base field.
- p is returned if GF(p), where p is a prime, is set. 2 is returned if GF(2^n) is set.

    [0] characteristic_ff();
    characteristic_ff : current_ff is not set
    return to toplevel
    [0] setmod_ff(3);
    3
    [1] characteristic_ff();
    3
    [2] setmod_ff(x^2+x+1);
    x^2+x+1
    [3] characteristic_ff();
    2

`References`
  section `setmod_ff`

Go to the first, previous, next, last section, table of contents.